SPXProtocolEndpoint (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.SPXProtocolEndpoint interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface SPXProtocolEndpoint

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, ProtocolEndpoint, java.io.Serializable

    public interface SPXProtocolEndpoint

extends ProtocolEndpoint

RFC 1792

Naming Rules:
  0="networkNumber,nodeNumber"
Persistable:
  true
Table Name:
  PENDSPX

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getNetworkNumber()`
`java.lang.String` | `getNodeNumber()`
`boolean` | `hasNetworkNumber()`
`boolean` | `hasNodeNumber()`
`void` | `setNetworkNumber(java.lang.String x)`
`void` | `setNodeNumber(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getNetworkNumber

    java.lang.String getNetworkNumber()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNetworkNumber

    void setNetworkNumber(java.lang.String x)

### hasNetworkNumber

    boolean hasNetworkNumber()

### getNodeNumber

    java.lang.String getNodeNumber()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNodeNumber

    void setNodeNumber(java.lang.String x)

### hasNodeNumber

    boolean hasNodeNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD